package com.heyu.api.data.dao.map;
/**
* <p>
* 地图地名记录，说明 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.heyu.api.data.entity.map.MapAddrInfoEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface MapAddrInfoDao extends BaseMapper<MapAddrInfoEntity> {


	MapAddrInfoEntity selectMapAddrInfoById(@Param("id")Long id);


	Long insertMapAddrInfo(MapAddrInfoEntity mapAddrInfo);


	Long insertOrUpdateMapAddrInfo(MapAddrInfoEntity mapAddrInfo);


	int updateMapAddrInfoById(MapAddrInfoEntity mapAddrInfo);


	int updateCoverMapAddrInfoById(MapAddrInfoEntity mapAddrInfo);


	int deleteMapAddrInfoById(@Param("id")Long id);


}